Package org.eclipse.net4j.tcp

## Interface ITCPAcceptor

- All Superinterfaces:
    `org.eclipse.net4j.util.collection.Closeable`, `IAcceptor`, `org.eclipse.net4j.util.container.IContainer<IConnector>`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.properties.IPropertiesContainer`

      public interface ITCPAcceptor
      extends IAcceptor

  An `acceptor` that implements non-blocking multiplexed TCP transport, optionally with `SSL`.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `org.eclipse.net4j.util.container.IContainer.Modifiable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_ADDRESS` |
    `static int` | `DEFAULT_PORT` | The value of the org.eclipse.net4j.tcp.port bundle/system property if defined, the value 2036 otherwise.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAddress()` |
    `int` | `getPort()` |
    `ITCPSelector` | `getSelector()` |

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

    - ### Methods inherited from interface org.eclipse.net4j.acceptor.IAcceptor

      `getAcceptedConnectors`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.net4j.util.properties.IPropertiesContainer

      `properties`

- - ### Field Detail

    - #### DEFAULT_ADDRESS

          static final java.lang.String DEFAULT_ADDRESS

      See Also:
        Constant Field Values

    - #### DEFAULT_PORT

          static final int DEFAULT_PORT

      The value of the org.eclipse.net4j.tcp.port bundle/system property if defined, the value 2036 otherwise.

  - ### Method Detail

    - #### getSelector

          ITCPSelector getSelector()

      Since:
        4.0

    - #### getAddress

          java.lang.String getAddress()

    - #### getPort

          int getPort()